% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Context.R
\name{Context}
\alias{Context}
\title{Context}
\usage{
Context(query_obj, value, type)
}
\arguments{
\item{query_obj}{QueryClass instance-ID}

\item{value}{Value that should be boud to the context}

\item{type}{The type will be ignored when the string is empty}
}
\description{
Binds a value to the context. The type will be ignored if the string is empty.
}
\details{
The type that is provided to the context, should be one of the standard-types.
    An alternative way is to parse the document information.
}
\examples{
\dontrun{
ctxt_query_txt <- "for $t in .//text() return string-length($t)"
ctxt_query     <- Query(Session, ctxt_query_txt)
ctxt_txt       <- paste0("<xml>",
                         "<txt>Hi</txt>",
                         "<txt>World</txt>",
                         "</xml>")
Context(ctxt_query, ctxt_txt, type = "document-node()")
print(Execute(ctxt_query))  ## returns "2"  "5"

ctxt_query_txt <- "for $t in parse-xml(.)//text() return string-length($t)"
Context(ctxt_query, ctxt_txt)
print(Execute(ctxt_query))
}

}
